6.0.0-git
2019-05-25

[#14041] length of subject too small for ActiveSync
Summary length of subject too small for ActiveSync
Queue Mnemo
Queue Version 4.2.6
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de
Created 2015-07-03 (1422 days ago)
Due
Updated 2015-07-14 (1411 days ago)
Assigned 2015-07-07 (1418 days ago)
Resolved 2015-07-13 (1412 days ago)
Milestone
Patch No

History
2015-07-14 14:36:37 Michael Rubinsky Comment #8 Reply to this comment
Thanks for the catch. The funny thing is, I thought I DID make the 
change in import() and didn't even think about replace() :)
2015-07-14 14:35:53 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 2bb252bf58895f061c5e12b8096ce2fa29068911
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Jul 14 10:34:47 2015 -0400

     Bug: 14041 Missed this change with last commit.

  mnemo/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/2bb252bf58895f061c5e12b8096ce2fa29068911
2015-07-14 14:35:17 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 54f72de877749777f11fabcfe94950b5fc02d6c6
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Jul 14 10:34:47 2015 -0400

     Bug: 14041 Missed this change with last commit.

  mnemo/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/54f72de877749777f11fabcfe94950b5fc02d6c6
2015-07-14 09:51:45 skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de Comment #5 Reply to this comment
It looks like the same problem exists in function import() in the very 
same file some lines above.


2015-07-13 20:28:30 Michael Rubinsky State ⇒ Resolved
 
2015-07-13 20:25:07 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit e341ef109cbb50a3e474365704a2d07b882162a2
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jul 13 16:07:43 2015 -0400

     Bug: 14041 Add migration to fix the size of the desc field.

  mnemo/migration/8_mnemo_fix_desc_size.php |   39 
+++++++++++++++++++++++++++++
  1 files changed, 39 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/e341ef109cbb50a3e474365704a2d07b882162a2
2015-07-13 20:25:02 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 1556e70a21559783b7e12cde4d213a532594700b
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jul 13 16:18:29 2015 -0400

     Bug: 14041 Trim the incoming activesync memo's description field.

     The field is technically unlimited, but Mnemo's storage
     backend may not be. Limit to a reasonable 255. This field
     is normally taken from the first 64 characters of the
     memo's text.

  mnemo/lib/Api.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/1556e70a21559783b7e12cde4d213a532594700b
2015-07-07 02:57:28 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2015-07-03 06:32:37 skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ length of subject too small for ActiveSync
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Task & Notes tries to sync a note with a pretty long subject, but 
fails due to:

2015-07-02T14:16:48+02:00 INFO: [15170] 
Horde_Core_ActiveSync_Driver::changeMessage(@Notes@,  ...)
2015-07-02T14:16:48+02:00 ERR: SQLSTATE[22001]: String data, right 
truncated: 7 ERROR:  value too long for type character varying(64)
2015-07-02T14:16:48+02:00 ERR: [15170] Change message failed when updating

Michael J Rubinsky answered in the thread
http://lists.horde.org/archives/horde/Week-of-Mon-20150629/054448.html

"... there was a limit on that field in the  protocol, but I just 
verified this is not the case - the field is  unlimited."

Saved Queries